require 'dokku'
require 'dokku/command'
require "dokku/helpers"

class Dokku::CLI
  extend Dokku::Helpers
  
  def self.start(*args)
    begin
      if $stdin.isatty
        $stdin.sync = true
      end
      if $stdout.isatty
        $stdout.sync = true
      end
      command = args.shift.strip rescue "help"
      Dokku::Command.load
      Dokku::Command.run(command, args)
    rescue Interrupt
      `stty icanon echo`
      error("Command cancelled.")
    rescue => error
      error(error)
      exit(1)
    end
  end

end