require 'dokku/helpers'

module Dokku
  module Command
    class CommandFailed  < RuntimeError; end
    
    extend Dokku::Helpers
    
    def self.load
      Dir[File.join(File.dirname(__FILE__), "command", "*.rb")].each do |file|
        require file
      end
    end
    
    def self.commands
      @@commands ||= {}
    end
    
    def self.run(command, args=[])
      begin
        command = const_get(command.capitalize)
      rescue
        error("Command not found")
        exit(1)
      end
      
      begin
        command.send(:run, args)
      # rescue
      #   raise CommandFailed
      end
    end
  end
end